
QGIS Application - Bug report #20425

Advanced editing issue in QGIS 3.4.1

2018-11-09 05:02 PM - Giovanni Zanoni

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28245

Description

Hi all,

during editing session when I use 'advanced digitizing tools' and snap is active, when I begin to digitize QGIS starts loading and I have to

force closure. Actually it doesn't crash.

QGIS 3.2 is ok

History

#1 - 2018-11-12 11:48 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Please attach a sample project with data and exact steps to follow.

#2 - 2018-11-12 12:04 PM - Giovanni Zanoni

- File qgis341.png added

I try to explain step by step what happens:

1) I activate SNAP option

2) I activate 'adavaned digitising'

3) I starts digitising on an exiting layer so SNAP 'attach' my new feature to an exiting one

4) QGIS starts loading with no end as you can see in the attached picture

5) I force closure

#3 - 2018-11-12 12:06 PM - Giovanni Manghi

GIOVANNI ZANONI wrote:

I try to explain step by step what happens:

1) I activate SNAP option

2) I activate 'adavaned digitising'

3) I starts digitising on an exiting layer so SNAP 'attach' my new feature to an exiting one

4) QGIS starts loading with no end as you can see in the attached picture

5) I force closure
please add a sample project with data.

#4 - 2018-11-12 12:18 PM - Giovanni Zanoni

- File sez1.shp added

- File sez1.shx added

- File sez1.qpj added

- File sez1.prj added

- File sez1.dbf added

- File sez1.cpg added

- File error.qgz added

As the error is in every project here a sample

#5 - 2018-11-12 02:00 PM - Giovanni Manghi

GIOVANNI ZANONI wrote:

I try to explain step by step what happens:

1) I activate SNAP option

2) I activate 'adavaned digitising'

3) I starts digitising on an exiting layer so SNAP 'attach' my new feature to an exiting one

4) QGIS starts loading with no end as you can see in the attached picture

5) I force closure

I cannot replicate here. Try with a new/clean profile.

#6 - 2018-11-12 05:42 PM - Giovanni Zanoni

Sorry, do you mean a new bug report?

#7 - 2018-11-12 05:54 PM - Giovanni Manghi

GIOVANNI ZANONI wrote:

Sorry, do you mean a new bug report?

no, try if you can replicate using a new profile

settings > user profiles > new profile

#8 - 2018-11-29 12:10 PM - Sigrid Lynaes

- File bug.zip added

- File bug1.zip added
Giovanni Manghi wrote:

GIOVANNI ZANONI wrote:

Sorry, do you mean a new bug report?

no, try if you can replicate using a new profile

settings > user profiles > new profile

I have a very similar problem/experience:

I've attached a sample project, where I'm using my default profile. (called bug1.zip)

In the project I have 'advanced digitizing'-button active. 

When I push the 'snap' button, Q-GIS freezes up (QGIS is not responding), and I have to force quit. The problem both occurs in QGIS 3.4.1 and 3.4.2.

When I tried Q-GIS 3.4.2 with a clean profile, the problem is different. I don't get the opportunity to activate advanced digitizing. I can't figure out why.

(attached sample project called bug.zip)

My operating system is Windows 10 Pro.

Are you able to replicate the error with my sample project?

#9 - 2018-11-29 12:38 PM - Giovanni Manghi

When I tried Q-GIS 3.4.2 with a clean profile, the problem is different. I don't get the opportunity to activate advanced digitizing. I can't figure out

why. (attached sample project called bug.zip)

My operating system is Windows 10 Pro.

Are you able to replicate the error with my sample project?

no, is all ok on 3.4.2 here. No 3rd party plugins installed.

#10 - 2018-11-29 01:12 PM - Sigrid Lynaes

no, is all ok on 3.4.2 here. No 3rd party plugins installed.

I uninstalled all 3rd party plugins and restarted the computer before creating the projects above.

I might look further into why advanced digitizing cannot activate when I'm using a clean profile. I'll let you know, if I discover anything.

#11 - 2018-12-28 04:07 PM - Giovanni Zanoni

I solved the issue creating a clean profile (settings-->user profiles). The issue seems to relate to a 3rd party plugin which doesn't create problems in 3.2

version

#12 - 2018-12-28 05:05 PM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to invalid

Files

qgis341.png 104 KB 2018-11-12 Giovanni Zanoni

sez1.cpg 5 Bytes 2018-11-12 Giovanni Zanoni

error.qgz 3.55 KB 2018-11-12 Giovanni Zanoni

sez1.dbf 189 Bytes 2018-11-12 Giovanni Zanoni

sez1.prj 398 Bytes 2018-11-12 Giovanni Zanoni

sez1.shp 188 Bytes 2018-11-12 Giovanni Zanoni

sez1.qpj 652 Bytes 2018-11-12 Giovanni Zanoni

sez1.shx 108 Bytes 2018-11-12 Giovanni Zanoni

bug1.zip 5.15 KB 2018-11-29 Sigrid Lynaes

bug.zip 4.84 KB 2018-11-29 Sigrid Lynaes
